package com.steering.pss.plnsaleord.GpOptimize.model;

/**
 * 数据库表PLN_GX_DP_M所对应的实体类（生成工具：代码生成器3.0）
 * @author xiaohai-PC   date 2016-06-29
 */
@SuppressWarnings("serial")
public class PlnGxDpMEntity implements java.io.Serializable {
    /**
     * 锻造订单编号
     */
    private String proPlanId = "";
    /**
     * 可选产线编码
     */
    private String plineCodeMay = "";
    /**
     * 可选产线描述
     */
    private String plineNameMay = "";
    /**
     * 默认产线代码
     */
    private String plineCode = "";
    /**
     * 默认产线描述
     */
    private String plineName = "";
    /**
     * 铸造类型（1连铸2模铸）
     */
    private String castingtype = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 锻坯直径
     */
    private String diameterOut = "";
    /**
     * 单倍坯长
     */
    private String lenGpSingle = "";
    /**
     * 倍尺数
     */
    private String cutNumGp = "";
    /**
     * 锻坯产出长度
     */
    private String lengthOut = "";
    /**
     * 锻坯产出物料编码
     */
    private String outwlId = "";
    /**
     * 锻坯产出物料描述
     */
    private String outwlDesc = "";
    /**
     * 锻坯单重
     */
    private String outWtOne = "";
    /**
     * 计划产出总重
     */
    private String outWtTot = "";
    /**
     * 计划产出支数
     */
    private String outNumTot = "";
    /**
     * 原料直径（模铸无）
     */
    private String diameterIn = "";
    /**
     * 原料长度（模铸无）
     */
    private String lengthIn = "";
    /**
     * 原料单重
     */
    private String wtOneIn = "";
    /**
     * 投入物料编码
     */
    private String wlidIn = "";
    /**
     * 投入物料描述
     */
    private String wldescIn = "";
    /**
     * 投入重量
     */
    private String inWt = "";
    /**
     * 投入支（个）数
     */
    private String inNum = "";
    /**
     * 铸造订单编号
     */
    private String zzProPlanId = "";
    /**
     * 是否锻造监制
     */
    private String ifMonitorDz = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 本工序监制点
     */
    private String monitorPoint = "";
    /**
     * 成分标准索引号集合(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号集合(内控)
     */
    private String pic = "";
    /**
     * 公差标准索引号集合(内控)
     */
    private String sic = "";
    /**
     * 探伤索引号集合(内控)
     */
    private String dic = "";
    /**
     * 水压索引码集合(内控)
     */
    private String wic = "";
    /**
     * 加工标准索引号集合(内控)
     */
    private String gic = "";
    /**
     * 生产年月
     */
    private String proMonth = "";
    /**
     * 计划状态
     */
    private String planstatus = "";
    /**
     * 生产完成重量
     */
    private String finishweight = "";
    /**
     * 生产完成支数
     */
    private String finishnum = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 管坯需求编号
     */
    private String gpreqId = "";
    /**
     * 管坯需求编号
     */
    public String getGpreqId() {
        return gpreqId;
    }
    /**
     * 管坯需求编号
     */
    public void setGpreqId(String gpreqId) {
        this.gpreqId = gpreqId;
    }

    /**
     * 锻造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 锻造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 可选产线编码
     * @return value
     */
    public String getPlineCodeMay() {
        return plineCodeMay;
    }

    /**
     * 可选产线编码
     * @param plineCodeMay value
     */
    public void setPlineCodeMay(String plineCodeMay) {
        this.plineCodeMay = plineCodeMay;
    }

    /**
     * 可选产线描述
     * @return value
     */
    public String getPlineNameMay() {
        return plineNameMay;
    }

    /**
     * 可选产线描述
     * @param plineNameMay value
     */
    public void setPlineNameMay(String plineNameMay) {
        this.plineNameMay = plineNameMay;
    }

    /**
     * 默认产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 默认产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 默认产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 默认产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 铸造类型（1连铸2模铸）
     * @return value
     */
    public String getCastingtype() {
        return castingtype;
    }

    /**
     * 铸造类型（1连铸2模铸）
     * @param castingtype value
     */
    public void setCastingtype(String castingtype) {
        this.castingtype = castingtype;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 锻坯直径
     * @return value
     */
    public String getDiameterOut() {
        return diameterOut;
    }

    /**
     * 锻坯直径
     * @param diameterOut value
     */
    public void setDiameterOut(String diameterOut) {
        this.diameterOut = diameterOut;
    }

    /**
     * 单倍坯长
     * @return value
     */
    public String getLenGpSingle() {
        return lenGpSingle;
    }

    /**
     * 单倍坯长
     * @param lenGpSingle value
     */
    public void setLenGpSingle(String lenGpSingle) {
        this.lenGpSingle = lenGpSingle;
    }

    /**
     * 倍尺数
     * @return value
     */
    public String getCutNumGp() {
        return cutNumGp;
    }

    /**
     * 倍尺数
     * @param cutNumGp value
     */
    public void setCutNumGp(String cutNumGp) {
        this.cutNumGp = cutNumGp;
    }

    /**
     * 锻坯产出长度
     * @return value
     */
    public String getLengthOut() {
        return lengthOut;
    }

    /**
     * 锻坯产出长度
     * @param lengthOut value
     */
    public void setLengthOut(String lengthOut) {
        this.lengthOut = lengthOut;
    }

    /**
     * 锻坯产出物料编码
     * @return value
     */
    public String getOutwlId() {
        return outwlId;
    }

    /**
     * 锻坯产出物料编码
     * @param outwlId value
     */
    public void setOutwlId(String outwlId) {
        this.outwlId = outwlId;
    }

    /**
     * 锻坯产出物料描述
     * @return value
     */
    public String getOutwlDesc() {
        return outwlDesc;
    }

    /**
     * 锻坯产出物料描述
     * @param outwlDesc value
     */
    public void setOutwlDesc(String outwlDesc) {
        this.outwlDesc = outwlDesc;
    }

    /**
     * 锻坯单重
     * @return value
     */
    public String getOutWtOne() {
        return outWtOne;
    }

    /**
     * 锻坯单重
     * @param outWtOne value
     */
    public void setOutWtOne(String outWtOne) {
        this.outWtOne = outWtOne;
    }

    /**
     * 计划产出总重
     * @return value
     */
    public String getOutWtTot() {
        return outWtTot;
    }

    /**
     * 计划产出总重
     * @param outWtTot value
     */
    public void setOutWtTot(String outWtTot) {
        this.outWtTot = outWtTot;
    }

    /**
     * 计划产出支数
     * @return value
     */
    public String getOutNumTot() {
        return outNumTot;
    }

    /**
     * 计划产出支数
     * @param outNumTot value
     */
    public void setOutNumTot(String outNumTot) {
        this.outNumTot = outNumTot;
    }

    /**
     * 原料直径（模铸无）
     * @return value
     */
    public String getDiameterIn() {
        return diameterIn;
    }

    /**
     * 原料直径（模铸无）
     * @param diameterIn value
     */
    public void setDiameterIn(String diameterIn) {
        this.diameterIn = diameterIn;
    }

    /**
     * 原料长度（模铸无）
     * @return value
     */
    public String getLengthIn() {
        return lengthIn;
    }

    /**
     * 原料长度（模铸无）
     * @param lengthIn value
     */
    public void setLengthIn(String lengthIn) {
        this.lengthIn = lengthIn;
    }

    /**
     * 原料单重
     * @return value
     */
    public String getWtOneIn() {
        return wtOneIn;
    }

    /**
     * 原料单重
     * @param wtOneIn value
     */
    public void setWtOneIn(String wtOneIn) {
        this.wtOneIn = wtOneIn;
    }

    /**
     * 投入物料编码
     * @return value
     */
    public String getWlidIn() {
        return wlidIn;
    }

    /**
     * 投入物料编码
     * @param wlidIn value
     */
    public void setWlidIn(String wlidIn) {
        this.wlidIn = wlidIn;
    }

    /**
     * 投入物料描述
     * @return value
     */
    public String getWldescIn() {
        return wldescIn;
    }

    /**
     * 投入物料描述
     * @param wldescIn value
     */
    public void setWldescIn(String wldescIn) {
        this.wldescIn = wldescIn;
    }

    /**
     * 投入重量
     * @return value
     */
    public String getInWt() {
        return inWt;
    }

    /**
     * 投入重量
     * @param inWt value
     */
    public void setInWt(String inWt) {
        this.inWt = inWt;
    }

    /**
     * 投入支（个）数
     * @return value
     */
    public String getInNum() {
        return inNum;
    }

    /**
     * 投入支（个）数
     * @param inNum value
     */
    public void setInNum(String inNum) {
        this.inNum = inNum;
    }

    /**
     * 铸造订单编号
     * @return value
     */
    public String getZzProPlanId() {
        return zzProPlanId;
    }

    /**
     * 铸造订单编号
     * @param zzProPlanId value
     */
    public void setZzProPlanId(String zzProPlanId) {
        this.zzProPlanId = zzProPlanId;
    }

    /**
     * 是否锻造监制
     * @return value
     */
    public String getIfMonitorDz() {
        return ifMonitorDz;
    }

    /**
     * 是否锻造监制
     * @param ifMonitorDz value
     */
    public void setIfMonitorDz(String ifMonitorDz) {
        this.ifMonitorDz = ifMonitorDz;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 本工序监制点
     * @return value
     */
    public String getMonitorPoint() {
        return monitorPoint;
    }

    /**
     * 本工序监制点
     * @param monitorPoint value
     */
    public void setMonitorPoint(String monitorPoint) {
        this.monitorPoint = monitorPoint;
    }

    /**
     * 成分标准索引号集合(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号集合(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号集合(内控)
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号集合(内控)
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 水压索引码集合(内控)
     * @return value
     */
    public String getWic() {
        return wic;
    }

    /**
     * 水压索引码集合(内控)
     * @param wic value
     */
    public void setWic(String wic) {
        this.wic = wic;
    }

    /**
     * 加工标准索引号集合(内控)
     * @return value
     */
    public String getGic() {
        return gic;
    }

    /**
     * 加工标准索引号集合(内控)
     * @param gic value
     */
    public void setGic(String gic) {
        this.gic = gic;
    }

    /**
     * 生产年月
     * @return value
     */
    public String getProMonth() {
        return proMonth;
    }

    /**
     * 生产年月
     * @param proMonth value
     */
    public void setProMonth(String proMonth) {
        this.proMonth = proMonth;
    }

    /**
     * 计划状态
     * @return value
     */
    public String getPlanstatus() {
        return planstatus;
    }

    /**
     * 计划状态
     * @param planstatus value
     */
    public void setPlanstatus(String planstatus) {
        this.planstatus = planstatus;
    }

    /**
     * 生产完成重量
     * @return value
     */
    public String getFinishweight() {
        return finishweight;
    }

    /**
     * 生产完成重量
     * @param finishweight value
     */
    public void setFinishweight(String finishweight) {
        this.finishweight = finishweight;
    }

    /**
     * 生产完成支数
     * @return value
     */
    public String getFinishnum() {
        return finishnum;
    }

    /**
     * 生产完成支数
     * @param finishnum value
     */
    public void setFinishnum(String finishnum) {
        this.finishnum = finishnum;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}